---
apiVersion: kustomize.config.k8s.io/v1beta1
kind: Kustomization
resources:
- application.yml
namespace: openshift-gitops
namePrefix: startx-
commonLabels:
  app.startx.fr/scope: "{{ sx_cluster_config_scope | default('myscope') }}"
  app.startx.fr/cluster: "{{ sx_cluster_config_name | default('mycluster') }}"
  app.startx.fr/component: "cluster-pipeline"
  app.kubernetes.io/part-of: "{{ sx_cluster_config_name | default('mycluster') }}"
  app.kubernetes.io/version: "{{ sx_cluster_config_version | default('0.0.1') }}"
patchesJson6902:
- target:
    kind: Application
    name: cluster-pipeline
  patch: &__inlined_helm_value | 
    - op: "replace"
      path: "/spec/source/targetRevision"
      value: "{{ sx_cs_revision }}"
    - op: "add"
      path: "/spec/source/helm/values"
      value: |
        {{ sx_cs_variables['default'].vars
        | combine(sx_cs_variables['default'].overrides, recursive=True)
        | combine(sx_cs_value['default'].vars | default({}), recursive=True)
        | combine(sx_cs_value['default'].overrides | default({}), recursive=True)
        | to_nice_yaml(indent=2)
        | indent(8) }}